import { BaseAudit } from '@shared/index-domain';
import { FileAuditDescriptor, ReferenceCode } from '@fileman/index-domain';

// "Descriptor type" definition (simple definition without relationships)
export class AuditOutputFileDescriptor extends BaseAudit {

    fileType: ReferenceCode;

}

// Full definition (including relationships)
export class AuditOutputFile extends AuditOutputFileDescriptor {

    fileAudit: FileAuditDescriptor;

}
