import { Audit } from '@shared/index-domain';
import { FtpDirectoryDescriptor } from '@fileman/index-domain';

// "Descriptor type" definition (simple definition without relationships)
export class FtpSiteDescriptor extends Audit {

    ipAddress: string;
    username: string;
    password: string;
    purpose: string;
    sftpProtocol: boolean;

}

// Full definition (including relationships)
export class FtpSite extends FtpSiteDescriptor {

    ftpDirectories: FtpDirectoryDescriptor[];

}
