import { Component, OnInit } from '@angular/core';

// Global Common
import {BaseService} from '@shared/index-service';
// ------------------

// Load other

//  -----------------

@Component({
  templateUrl: './dashboard.component.html'
})

export class FilemanDashboardComponent implements OnInit {

    // permissions
    // ----------------------
    disabled = true;
    disabledBtnSave = true;
    disabledBtnAdd = true;
    visibleBtnSave = false;
    visibleBtnAdd = false;
    // ----------------------

    // form
    nodata = true; // Indicate no data on initial grid load
    edit = false; // Indicate no data on edit item
    // ----------------------

    // grid details
    //  ----------------------------------

    //  ----------------------------------

    // load handlers
    // -----------------------------------
    constructor(private baseService: BaseService) {

    }

    ngOnInit() {

    }
    // -----------------------------------

    // basic button events
    // -----------------------------------

    lnk_click(i_route: string) {
         this.baseService.loadMenu(i_route);
    }

    // -----------------------------------
}

