import { Injectable } from '@angular/core';
import { FormControl } from '@angular/forms';

@Injectable()
export class IPAddressValidator {

static validIP(control: FormControl) {

    if (control.value && !(control.value instanceof Object) && control.value.split(".").length > 3) {

      if (control.value.split(".").length < 5) {
        return (null);
      } else {
        return ({ validIP: 'IP Address contain to many full stops!' });
      }
      
    } else {
      return ({ validIP: 'IP Address does not contain any full stops!' });
    }
  }

}
