import { BaseAudit } from '@shared/index-domain';
import { FileProfileDescriptor, FileAuditDescriptor } from '@fileman/index-domain';

// "Descriptor type" definition (simple definition without relationships)
export class FileProcessExceptionDescriptor extends BaseAudit {
    exceptionText: string;
    exceptionType: string;
}

// Full definition (including relationships)
export class FileProcessException extends FileProcessExceptionDescriptor {
    fileProfile: FileProfileDescriptor;
    file: FileAuditDescriptor;
}
