import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';

// General
import { HeliosCommonModule } from '@shared/shared.module';
// --------------------------------------------

// Filemangement Common
import { FilemanSessionService, StepNavigationService } from '@fileman/index-service';
// --------------------------------------------

// Filemaangement Common
//
// --------------------------------------------

// Filemanagement Components
import { FilemanDashboardComponent, ApplicationParamsComponent, ReferenceCodesComponent, SitesComponent, DirectoriesComponent,
         MasksComponent, OriginsComponent, LogsComponent, ConfigurationComponent, QueryComponent, ProfilesComponent,
         AuditsComponent, ExceptionsComponent, TablesComponent, RecordTypesComponent,
         TableColumnsComponent, TableProfilesComponent, StepComponent, FileDashboardComponent, TypesComponent
       } from '@fileman/index';
// --------------------------------------------

@NgModule({
    imports: [

        // General
        HeliosCommonModule,

    ],
    declarations: [

        // Generic Components
        FilemanDashboardComponent, ApplicationParamsComponent, ReferenceCodesComponent, SitesComponent, DirectoriesComponent,
        MasksComponent, OriginsComponent, LogsComponent, ConfigurationComponent, QueryComponent, ProfilesComponent,
        AuditsComponent, ExceptionsComponent, TablesComponent, RecordTypesComponent,
        TableColumnsComponent, TableProfilesComponent, StepComponent, FileDashboardComponent, TypesComponent
    ],
    entryComponents: [

        // Generic Components
        FilemanDashboardComponent, ApplicationParamsComponent, ReferenceCodesComponent, SitesComponent, DirectoriesComponent,
        MasksComponent, OriginsComponent, LogsComponent, ConfigurationComponent, QueryComponent, ProfilesComponent,
        AuditsComponent, ExceptionsComponent, TablesComponent, RecordTypesComponent,
        TableColumnsComponent, TableProfilesComponent, StepComponent, FileDashboardComponent, TypesComponent
    ],
    exports: [

        // General
        HeliosCommonModule

    ],
    providers: [

        // Filemangement Services
        FilemanSessionService, StepNavigationService

    ],
    schemas: [CUSTOM_ELEMENTS_SCHEMA]
})
export class FilemanagementModule {}
