import { Audit } from '@shared/index-domain';
import { RecordTypeDescriptor } from '@fileman/index-domain';

// "Descriptor type" definition (simple definition without relationships)
export class RecordFieldDescriptor extends Audit {
    ordering: number;
    name: string;
    length: number;
    dataType: string;
    scale: number;
    formatMask: string;
    deltaColumn: boolean;
    uniqueId: boolean;
    isActive: boolean;
}

// Full definition (including relationships)
export class RecordField extends RecordFieldDescriptor {
    recordType: RecordTypeDescriptor;
}
