import { Audit } from '@shared/index-domain';
import { FileSchedule } from '@fileman/index-domain';

// "Descriptor type" definition (simple definition without relationships)
export class ScheduleDescriptor extends Audit {
    frequency: string;
    weekday: string;
    day: number;
    month: string;
    firstDay: boolean;
    lastDay: boolean;
    startTime: string;
    isActive: boolean;
}

// Full definition (including relationships)
export class Schedule extends ScheduleDescriptor {
    fileSchedules: FileSchedule[];
}