import { BaseAudit } from '@shared/index-domain';
import { TableDescriptor } from '@fileman/index-domain';

// "Descriptor type" definition (simple definition without relationships)
export class TableColumnDescriptor extends BaseAudit {

    columnName: string;
    dataType: string;
    dataLength: number;
    dataScale: number;
    position: number;
    deltaColumn: boolean;
    uniqueId: boolean;
    dateMask: string;

}

// Full definition (including relationships)
export class TableColumn extends TableColumnDescriptor {

    table: TableDescriptor;

}
