import { Audit } from '@shared/index-domain';
import { FileProfileDescriptor, TableDescriptor, RecordTypeDescriptor } from '@fileman/index-domain';

// "Descriptor type" definition (simple definition without relationships)
export class TableProfileDescriptor extends Audit {

    thresholdPercentage: number;
    isActive: boolean;

}

// Full definition (including relationships)
export class TableProfile extends TableProfileDescriptor {

    fileProfile: FileProfileDescriptor;
    table: TableDescriptor;
    recordType: RecordTypeDescriptor;

}
